Bug 1815517 - content set mappings for rhel-8 AUS repos are missing from cdn/cs_mappings-*.csv
Summary: content set mappings for rhel-8 AUS repos are missing from cdn/cs_mappings-*.csv
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: releng
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Release Engineering Bug Triage
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-20 13:36 UTC by John Sefler
Modified: 2021-09-20 07:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-20 07:27:00 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2020-03-20 13:36:22 UTC
Description of problem:
Content sets for AUS (Advanced Mission Critical Update Support) should have a cs_mapping constraint similar to EUS that enforces RHEL systems to be entitled to the base RHEL products in addition to the AUS add-on subscription support. (inferred from https://access.redhat.com/solutions/2975771).   That means that content set constraints should be imposed on all *-aus-* content set repos which will block an entitled rhel system from accessing the *-aus-* repos until they have also attached a subscription that provides the base rhel engineering product that the *-aus-* repos extend.  To achieve this behavior, the OIDS for all *-aus-* content set repos need to be added to a cs_mappings file followed by a call to refresh pools for all the AUS engineering ids.


Below are lists of the AUS content set OIDs missing from...
 http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/cs_mappings-prod.csv
 http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/cs_mappings-stage.csv
 http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/cs_mappings-qa.csv


----------------------------------------------------------

From EngID 251: Red Hat Enterprise Linux Server - AUS
Provided by add-on sku RH01893: Red Hat Enterprise Linux Server AMC Support (AUS, 1 Virtual Node, Embedded, Billing)
The ENG CONTENT IDs below correspond to rhel-8-for-x86_64-*-aus-* content set repos and should extend the rhel-8-for-x86_64-* content set repos provided by EngID 479.

ENG CONTENT ID, MODIFIES        Content Set Label provided for information
9790, 479                 <==== rhel-8-for-x86_64-appstream-aus-rpms
9791, 479                 <==== rhel-8-for-x86_64-appstream-aus-debug-rpms
9792, 479                 <==== rhel-8-for-x86_64-appstream-aus-source-rpms
9785, 479                 <==== rhel-8-for-x86_64-baseos-aus-debug-rpms
9787, 479                 <==== rhel-8-for-x86_64-baseos-aus-rpms
9788, 479                 <==== rhel-8-for-x86_64-baseos-aus-source-rpms

----------------------------------------------------------

After the content set mappings ENG CONTENT ID, MODIFIES above are committed to...
 http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/cs_mappings-prod.csv
 http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/cs_mappings-stage.csv
 http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/cs_mappings-qa.csv
RCM will need to issue the following calls to refresh pools to apply the new constraints

/mnt/redhat/scripts/rel-eng/utility/pool_refresh/subscription_pool_refresh.py --env prod 251
/mnt/redhat/scripts/rel-eng/utility/pool_refresh/subscription_pool_refresh.py --env stage 251
/mnt/redhat/scripts/rel-eng/utility/pool_refresh/subscription_pool_refresh.py --env qa 251

Comment 2 John Sefler 2020-04-24 12:24:53 UTC
Moving to ON_QA to unblock automated testing

Comment 3 John Sefler 2020-05-27 18:37:11 UTC
Moving to VERIFIED:  Automated Tests are now passing for these aus content sets.

Comment 6 RHEL Program Management 2021-09-20 07:27:00 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.